Manjaro-specific packages which need an update

What's the content of your /opt/dropbox/VERSION ?

$ cat /opt/dropbox/VERSION
31.4.24

Matching pacman

However:

$ ls $HOME/.dropbox-dist
dropboxd  dropbox-lnx.x86_64-34.4.22  VERSION

$ cat $HOME/.dropbox-dist/VERSION
34.4.22

$ ps x | grep dropbox
  944 ?        Sl     0:08 /home/mparillo/.dropbox-dist/dropbox-lnx.x86_64-34.4.22/dropbox /newerversion start
 5465 pts/1    S+     0:00 grep dropbox

Matching the Dropbox Preferences GUI.

Is it possible that dropbox installs in $HOME?

Yes, as soon as it starts Dropbox tries to update itself installing a binary in $HOME and executing it instead of the one in /usr/bin.
I don't know if it is possible to deactivate this "feature".

@oberon , @Cubanpit and @mparillo see my answer here :wink:

Thanks for the tip!
Anyway, I have solved it with sandbox and I will use only NextCloud in the near future. :wink:

1 Like

Wow, I didn't know that at all. How REALLY BAD PRACTICE, Booooo :-1: !
This makes me want to stop maintaining this package inside our repos even more.
Shall we drop it back to AUR, what do you guys think?

5 Likes

There's no reason to package the software if the software then "unpackages" itself.

Drop it

removed.

3 Likes

On unstable, Octopi does not show dropbox as available in the Manjaro repositories.
Screenshot_20170917_163718

But on stable, it looks not yet demoted to the AUR. It does not show in:
$ pacman -Qm

And it does not have the alien head on Octopi:

Screenshot_20170917_163312

Just wait for that change to trickle down.

It has trickled down to Stable, just as you predicted.

Normally I like to remove packages that get demoted to the AUR. Since Dropbox seems to update itself, can I safely remove the packaged version of Dropbox?

The only reason to maintain also the aur version is if the appearence of dropbox is ugly ( icons , gui etc ) and aur maintainer do some patch .. with the dropbox autoupdate this is not correct i think...

@Ste74 Timeshift 17.10 is out

1 Like

Yep, i see .. it contain my command to allow work on wayland.. at soon possible push in our repo :grin:

1 Like

Looks promising. I will start testing it soon. If it works as it should I'll ad an option for setting it up in manjaro-architect now that it is in the repos.

1 Like

The package group mate-extra-gtk3 is obsolete.

3 posts were split to a new topic: Megasync doesn't compile

Forum kindly sponsored by